### Method

# Gtk Snapshotappend_fill

since: 4.14

#### Declaration [src]

    void
    gtk_snapshot_append_fill (
      GtkSnapshot* snapshot,
      GskPath* path,
      GskFillRule fill_rule,
      const GdkRGBA* color
    )

#### Description [src]

A convenience method to fill a path with a color.

See `gtk_snapshot_push_fill()` if you need to fill a path with more complex content than a color.

Available since: 4.14

#### Parameters

`path`

  Type: `GskPath`

  The path describing the area to fill.

  The data is owned by the caller of the method.

`fill_rule`

  Type: `GskFillRule`

  The fill rule to use.

`color`

  Type: `GdkRGBA`

  The color to fill the path with.

  The data is owned by the caller of the method.